package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJZ3 extends MwfRequest<MWFJZ3, MWFJZ3Response> {

    @Parameter(name = "ACCOUNT")
    MWFJZ3 account(String account);
    @Parameter(name = "BIRTH_NUMBER")
    MWFJZ3 birthNumber(String birthNumber);
    @Parameter(name = "CHANNEL")
    MWFJZ3 channel(String channel);
    @Parameter(name = "IC")
    MWFJZ3 ic(String ic);
    @Parameter(name = "ID_BUNDLE")
    MWFJZ3 idBundle(String idBundle);
    @Parameter(name = "ID_BUNDLE_ACT")
    MWFJZ3 idBundleAct(String idBundleAct);
    @Parameter(name = "SSO")
    MWFJZ3 sso(String sso);
    @Parameter(name = "UNI_PT_KEY")
    MWFJZ3 uniPtKey(Long uniPtKey);
}
